{% load static %}
{% block content %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="{% static 'css/main.css' %}"/>
        <title>Connect 2 Order</title>
        <script type="text/javascript">
            var user = '{{request.user}}'
    
            function getToken(name) {
                var cookieValue = null;
                if (document.cookie && document.cookie !== '') {
                    var cookies = document.cookie.split(';');
                    for (var i = 0; i < cookies.length; i++) {
                        var cookie = cookies[i].trim();
                        if (cookie.substring(0, name.length + 1) === (name + '=')) {
                            cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                            break;
                        }
                    }
                }
                return cookieValue;
            }
            var csrftoken = getToken('csrftoken')

            function getCookie(name) {
		        var cookieArr = document.cookie.split(";");

		        for(var i = 0; i < cookieArr.length; i++) {
		            var cookiePair = cookieArr[i].split("=");

		            if(name == cookiePair[0].trim()) {
		                return decodeURIComponent(cookiePair[1]);
		            }
		        }

		        return null;
		    }
		    var cart = JSON.parse(getCookie('cart'))

		    if (cart == undefined){
			    cart = {}
			    console.log('Cart Created!', cart)
			    document.cookie ='cart=' + JSON.stringify(cart) + ";domain=;path=/"
		    }
		    console.log('Cart:', cart)
        
        </script>
    </head>
    <body>
        <nav>
            <div class="wrapper">
                <div class="logo">
                    <h2 style="color: #df1212;">Connect 2 Order</h2>
                </div>
                <div class="nav-links">
                    <li><a href="/connect">Products</a></li>
                    <li><a href="/">Home</a></li>
                </div>
                <div class="nav-links-fa">
                    <a href="/loginUser"><i class="fa-regular fa-user"></i></a>
                    <div class="menu">
                        <i class="fa-solid fa-bars"></i>
                    </div>
                </div>
            </div>
        </nav>
        <section class="specification">
        </section>
        <section class="small-container cart-page">
            <table>
                <tr>
                    <th>Product</th>
                    <th>Quantity</th>
                    <th>  Sub total</th>
                </tr>
                {% for item in items %}
                <tr>
                    <td>
                        <div class="cart-info">
                            <img src="{{item.product.imageURL}}" alt="">
                            <div>
                                <h4>{{item.product.name}}</h4><br>
                                <small>Price: </small><h5>shs {{item.product.price|floatformat:1}}</h5>
                                <button style="width: 20px; height: 20px; margin-top: 2px;" data-product="{{item.product.id}}" data-action="add" class="update-cart">+</button>
                                <button style="width: 20px; height: 20px; margin-top: 2px;" data-product="{{item.product.id}}" data-action="remove" class="update-cart">-</button>
                            </div>                            
                        </div>
                    </td>
                    <td><p>{{item.quantity}}</p></td>
                    <td>shs {{item.get_total|floatformat:1}}</td>
                </tr>
                {% endfor %}
            </table>
            <div class="total-price">
                <table>
                    <tr>
                        <td><strong>Items</strong></td>
                        <td>{{order.get_cart_items}}</td>
                    </tr>
                    <tr>
                        <td><strong>Sub total</strong></td>
                        <td>shs {{order.get_cart_total|floatformat:1}}</td>
                    </tr>
                    <tr>
                        <td><strong>Total</strong></td>
                        <td><h4>shs {{order.get_cart_total|floatformat:1}}</h4></td>
                    </tr>
                </table>
            </div>
            <div class="checkout">
                <a href="/connect" class="alink"><button class="p-cart">Continue shopping</button></a>
                <a href="/checkout" class="alink"><button class="buy">Checkout</button></a>
            </div>
        </section>
        <script type="text/javascript" src="{% static 'js/cart.js' %}"></script>
        <script src="https://kit.fontawesome.com/f8a9fd1092.js" crossorigin="anonymous"></script>
    
        <script>
            const menuBtn = document.querySelector('.menu')
            const navlinks = document.querySelector('.nav-links')

            menuBtn.addEventListener('click',()=>{
                navlinks.classList.toggle('mobile-menu')
            })
        </script>
    </body>
</html>
{% endblock content %}